%{?nodejs_find_provides_and_requires}

%global packagename parse-base64vlq-mappings
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 0.1.4
Release: 1%{?dist}.3
Summary: Parses out base64 VLQ encoded mappings.
License: MIT
URL: https://github.com/thlorenz/parse-base64vlq-mappings
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging

%if 0%{?enable_tests}
BuildRequires: npm(source-map) >= 0.1.9
BuildRequires: npm(tap) >= 0.4.3
BuildRequires: npm(tap) < 0.5.0
%endif

%description
Parses out base64 VLQ encoded mappings.

The code is mostly lifted from mozilla's source-map module in order to separate
out the parse function into its own module.


%prep
%setup -q -n package
%nodejs_fixdep source-map '>=0.1.9'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/*.js
%endif


%files
%license LICENSE
%doc *.md example/
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 0.1.4-1
- Initial package.
